



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>关于BOM</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">关于BOM</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-26 02:18:32 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>BOM：浏览器对象模型 （Browser Object Model）主要定义的是JS操作浏览器的方法和属性。 大部分方法都在window下。</p>
<p><strong>常用方法</strong>：(JS里面规定如果方法前面是window，window可以省略不写。)</p>
<p><strong>open(地址url，打开的方式)</strong>&nbsp;:打开一个新的窗口，并返回新打开窗口的window对象。如果参数为空 默认为打开空白页面，默认为新窗口方式打开。</p>
<p>返回值：返回新打开的窗口的window对象。window.open();</p>
<p><strong>close():</strong>关闭窗口，存在兼容问题，火狐下没反应， IE会询问是否确认关闭，谷歌直接关闭关闭时提示问题,不过这个属性并不常用。</p>
<p>可以关闭在本窗口中通过open方法打开的新窗口。 如下：</p>
<div>
<pre class="prettyprint linenums">//实现 在本页面中打开一个新窗口，并点击本页面的一个按钮，再把新窗口关掉<br />
opener = window.open(); //返回的新窗口对象<br />
var btn.onclick = function(){<br />
     opener.close();<br />
}
</pre>
</div>
<p><strong>BOM常用属性</strong></p>
<div>
<pre class="prettyprint linenums">window.navigator.userAgent：浏览器的信息，比如版本号等<br />
window.location：存放关于浏览器地址的一些信息，本身是一个对象，下面有方法和属性 。如下<br />
   window.location.href ：浏览器具体地址 比如http://i.cnblogs.com/EditPosts.aspx?opt=1#123<br />
   window.location.search:地址栏问号后的信息,包括问号(?opt=1)<br />
   window.location.hash:地址栏#后的信息，包括#号。（#123）</pre>
</div>
<p><strong>文档可视区大小（</strong>指的是你视野范围可以看到的大小，不是实际大小。document是文档对象，documentElement文档元素<strong>）</strong></p>
<div>
<pre class="prettyprint linenums">document.documentElement.clientWidth/clientHeight</pre>
</div>
<p><strong>滚动距离（可视区的顶部到页面实际的顶部的距离，其实就是滚动出去的距离，有兼容问题）</strong></p>
<div>
<pre class="prettyprint linenums">document.documentElement.scrollTop/scrollLeft：其他浏览器<br />
document.body.scrollTop/scrollLeft  ：谷歌认为是body的而不是文档</pre>
</div>
<p>兼容处理，以scrollTop为例：</p>
<div>
<pre class="prettyprint linenums">var scrollTop = document.documentElement.scrollTop||document.body.scrollTop;
</pre>
</div>
<p><strong>文档实际的内容高度（包括超过父元素或者超出被隐藏的内容高度，padding+width）</strong></p>
<div>
<pre class="prettyprint linenums">document.body.scrollHeight(width)　　</pre>
</div>
<p><strong>文档对象内容的高度，包括body的margin+padding+width+border。</strong></p>
<div>
<pre class="prettyprint linenums">document.documentElement.offsetHeight（IE下有问题,它认为这个和可视区的高一样）<br />
document.body.offsetHeight（推荐用这个）不包括body的margin.
</pre>
</div>
<p><strong>　window对象常用事件（</strong>事件触发次数是按时间间隔来算的,并不是你手动的频率<em>）</em></p>
<p>onscroll　：当滚动条滚动的时候触发<br />onresize　：当窗口发生改变的时候触发</p>
<div>
<pre class="prettyprint linenums">var  i =0;

window.onscroll = function(){

    document.title = i++;

} 

window.onresize = function(){

    document.title = i++;

}
</pre>
</div>
<p>如果大家有不同意见，不要只是点反对，欢迎评论指正，不然我不知道哪里有问题额。。。。。。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7p7wjq.html">HTTP 笔记与总结（1 ）Telnet 分别发送 HTTP GET 和 HTTP POST 请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p16l49.html">c&num;设计模式之单例模式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde771z9.html">chroot 与 jail</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn132728.html">Android系统环境变量配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zlrx19.html">对lua中&lowbar;ENV表的理解&lpar;lua5&period;2版本以后&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdz07d9.html">Selenium API常用方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyve7dq.html">bootstrapValidator表单验证插件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllopexq.html">css 浮动问题 display显示 和 光标设置cursor</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1ego09.html">Nginx 减少磁盘读写次数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv2wog8.html">bash guide</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdyko09.html">pycharm 2018&period;1 激活</a>
		</li>
						<li><a href="https://www.batexi.com/a/960zzvy9.html">c&plus;&plus; stl源码剖析学习笔记&lpar;一&rpar;uninitialized&lowbar;copy&lpar;&rpar;函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdmljz9.html">添加Google搜索</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j14rxe9.html">pxc 集群节点被kill -9 了拿什么拯救？</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gedxeq.html">Asp&period;net core 学习笔记 &lpar; DI 依赖注入 &rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll6mgxq.html">windows下安装redis以及测试  --转载自http&colon;&sol;&sol;www&period;cnblogs&period;com&sol;lpyan&sol;p&sol;5608333&period;html</a>
		</li>
						<li><a href="https://www.batexi.com/a/q15m4x69.html">关于HttpRuntime&period;Cache的运用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9g35pz0q.html">洛谷 P4451 &lbrack;国家集训队&rsqb;整数的lqp拆分</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e0j5okq.html">004-Set 和 Map 数据结构</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pm3rvy9.html">spring3&colon; 基于Schema的AOP</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/r8mxdyr9.html">数据表格，查询、导出共用一个form表单，实现文件流方式下载</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zlve1q.html">MS SQL Server2014链接MS SQL Server 2000</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jxnplq.html">maven 安装alipay-sdk包到本地及远程仓库</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8o2gkp9.html">IE下innerText与FoxFire下textContent属性的不同</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7jd5eq.html">jmeter 性能测试工具的使用（Web性能测试）</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8mxyjo9.html">linux线程同步&lpar;2&rpar;-条件变量</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9pv2d49.html">准备使用 Office 365 中国版--邮箱迁移</a>
			</li>
						<li><a href="https://www.batexi.com/a/m964zk38.html">Android工程师入门（一）&mdash;&mdash;这周入大门，挤时间，轻喷</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8exxwzq.html">Java开发之abstract 和 interface的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gxxvlq.html">bzoj-2243 2243&colon; &lbrack;SDOI2011&rsqb;染色&lpar;树链剖分&rpar;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
